/*
 *  Copyright (C) 2006  UCOT
 *
 *  Distributed under the terms of the MIT License.
 *  See "LICENCE" or http://www.opensource.org/licenses/mit-license.php for details.
 */
package ucot.core;

import ucot.ui.ProgressBarInterface;

/**
 * <p>
 * DummyProgressBar which does absolutely nothing but helps
 * avoiding null values in ProgressBar variables.
 * </p>
 * 
 * @author tujupien
 */
public class DummyProgressBar implements
        ProgressBarInterface {

    /*
     * (non-Javadoc)
     * 
     * @see ucot.ui.ProgressBarInterface#getMaximum()
     */
    public int getMaximum() {
        return 0;
    }

    /*
     * (non-Javadoc)
     * 
     * @see ucot.ui.ProgressBarInterface#getMinimum()
     */
    public int getMinimum() {
        return 0;
    }

    /*
     * (non-Javadoc)
     * 
     * @see ucot.ui.ProgressBarInterface#getPercentageComplete()
     */
    public double getPercentageComplete() {
        return 0;
    }

    /*
     * (non-Javadoc)
     * 
     * @see ucot.ui.ProgressBarInterface#getString()
     */
    public String getString() {
        return null;
    }

    /*
     * (non-Javadoc)
     * 
     * @see ucot.ui.ProgressBarInterface#getValue()
     */
    public int getValue() {
        return 0;
    }

    /*
     * (non-Javadoc)
     * 
     * @see ucot.ui.ProgressBarInterface#setMaximum(int)
     */
    public void setMaximum(int maximum) {
    }

    /*
     * (non-Javadoc)
     * 
     * @see ucot.ui.ProgressBarInterface#setMinimum(int)
     */
    public void setMinimum(int minimum) {
    }

    /*
     * (non-Javadoc)
     * 
     * @see ucot.ui.ProgressBarInterface#setString(java.lang.String)
     */
    public void setString(String string) {
    }

    /*
     * (non-Javadoc)
     * 
     * @see ucot.ui.ProgressBarInterface#setValue(int)
     */
    public void setValue(int value) {
    }

    /*
     * (non-Javadoc)
     * 
     * @see ucot.ui.ProgressBarInterface#setVisible(boolean)
     */
    public void setVisible(boolean visible) {
    }

}
