/*
 *  Copyright (C) 2006  UCOT
 *
 *  Distributed under the terms of the MIT License.
 *  See "LICENCE" or http://www.opensource.org/licenses/mit-license.php for details.
 */
package ucot.exceptions;

import java.io.IOException;

/**
 * <p>
 * Exception thrown when fileformat is not supported.
 * </p>
 * <p>
 * <code>Core</code> throws this when it tries to load
 * serialized <code>AnalyzeModel</code> or use cases and
 * the fileformat of the source is not supported.
 * </p>
 * 
 * @author tujupien
 * 
 */
public class FileFormatNotSupportedException extends
        IOException {

    private static final long serialVersionUID = -9168394555942361427L;

    public FileFormatNotSupportedException() {
        super();
    }

    public FileFormatNotSupportedException(String message) {
        super(message);
    }

}
