/*
 *  Copyright (C) 2006  UCOT
 *
 *  Distributed under the terms of the MIT License.
 *  See "LICENCE" or http://www.opensource.org/licenses/mit-license.php for details.
 */
package ucot.heuristic;

import ucot.ModulePropertyInterface;
import ucot.model.AnalyzeModel;
import ucot.parser.ParsedData;

/**
 * Interface for all heuristics used by UCOT. Takes
 * ParsedData and stores analyzemodel to given model.
 * Appends if possible.
 * 
 * @author UCOT
 */
public interface HeuristicInterface extends
        ModulePropertyInterface {

    /**
     * Performs heuristic on given ParsedData object
     * returns.
     * 
     * @param data
     *            Parsed Use case for the heuristic.
     * @param analyzeModel
     *            Analyze model where parsed data is added
     *            to.
     */
    public void doHeuristic(ParsedData data,
            AnalyzeModel analyzeModel) throws Exception;

    /**
     * Returns adapter's name.
     * 
     * @return Adapter's name.
     */
    public String getName();

}
