/*
 *  Copyright (C) 2006  UCOT
 *
 *  Distributed under the terms of the MIT License.
 *  See "LICENCE" or http://www.opensource.org/licenses/mit-license.php for details.
 */
package ucot.ui;

import ucot.input.UseCase;

/**
 * <p>
 * Interface for the component which shows use case steps
 * from given <code>UseCase</code>. User interface should
 * use this interface to control the view of the currently
 * selected use case.
 * </p>
 * 
 * @author ilanliuk
 */
public interface UseCasePanelInterface {

    /**
     * <p>
     * Method for giving the panel <code>UseCase</code> to
     * show.
     * </p>
     * 
     * @param usecase
     *            <code>UseCase</code> to show.
     */
    public void showUseCase(UseCase usecase);

    /**
     * <p>
     * Clears the use case from the panel
     * </p>
     */
    public void Clear();

    /**
     * <p>
     * Call to notify panel to refresh itself.
     * </p>
     */
    public void refresh();

}
